> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/payment-methods.md).

# Payment Methods

Accept any payment app, any wallet, any card any way your customer wants.

SensePass supports currently 112 payment methods with a single API interface for all of them, we continue to add payment methods to our network.

### Credit Cards (32)

* Sola (Cardknox)
* NMI
* TSYS
* Shift4
* Authorize.net
* Elavon
* Clover
* Moneris
* Chase
* Nuvei
* DLocal
* Adyen
* Coastal Pay
* Stripe
* Square
* Shopify Payments
* Linkly
* Westpac
* First Data
* Global Payments
* Heartland Payment
* Worldpay
* North American Bancard
* Electronic Payment Exchange (EPX)
* Braintree
* Blink
* Viva
* KCP
* Cielo
* BlueFin
* Maverick
* Bank of America

### Wallets (9)

* Apple Pay
* Google Pay™&#x20;
* PayPal
* Venmo
* Amazon Pay
* Samsung Pay
* AliPay
* WeChat Pay
* Kakao Pay

### Buy Now Pay Later - BNPL (10)

* Klarna
* SplitIt
* Sezzle
* ChargeAfter
* AfterPay
* Zip
* Affirm
* WeGetFinancing
* Jifiti
* Skeps

### Bank Payments (4)

* Trustly
* ACH
* EFT
* Link Money

### LATAM, Asia, Africa (54)

* Mobile Money
* PIX
* Boleto
* Abitab
* PSE
* OXXO
* MercadoPago
* SPEI
* Pago Efectevio
* Infonet&#x20;
* Pago al Paso
* Pago Efectivo
* Pay Cash
* Pay Valida&#x20;
* Yape
* au PAY
* Dana
* dBarai
* DragaonPay
* DuitNow
* Kobini
* LINE Pay
* Lpay
* Merpay
* Momo wallet
* Naver Pay
* NPP
* Payco
* PayPay
* PromptPay
* QRIS
* Rakuten Pay
* SSGPAY
* TOSS Payments
* Touch 'n Go
* TrueMoney
* UPI
* ZaloPay
* CLAVE
* CoDi
* Daviplata
* Efecty
* Nequi
* Pay4Fun
* Sencillito
* WebPay
* Rapipago
* Cobro Express
* Pago Facil
* PicPay
* NuPay
* Sencillito
* Khipu
* Servipag
* Sinpe
* Sinpe Movil
* PuntoXpress
* Akisi
* Practipago
* Wepa
* Zimple
* Sigo Money
* Billetera Personal
* Wally
* Giros Claro
* BCP
* Payvalida
* Redpagos

### Crypto (3)

* Coinbase
* BitPay
* PalWallet

### API for Fetching Payment Providers

<mark style="color:blue;">`GET`</mark> `/transactions/paymentProviders/list`

#### Request Body

| Name     | Type   | Description                                                                                                   |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------- |
| deviceId | string | Terminal unique device ID provided by SensePass (For Device based Transactions) - Required if apiKey is empty |
| apiKey   | string | Merchant ID provided by SensePass (For Web based Transactions) - Required if deviceId is empty                |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
[
  {
    "name": "PayPal",
    "description": "Paypal Production",
    "type": "wallet",
    "confirmationPrefix": "145",
    "isPartialRefundSupported": true,
    "environment": "Production",
    "providerId": "FLTBxa5D/z/gmjdNeTm0IXNVOOaiyhQBqRrIaTs1kcI="
  }
]
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### API for Fetching Payment Methods by method type

<mark style="color:blue;">`GET`</mark> `/transactions/paymentProviders/payment-methods`

#### Request Body

| Name       | Type   | Description                                                                                                                                                       |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| deviceId   | string | Terminal unique device ID provided by SensePass (For Device based Transactions) - Required if apiKey is empty                                                     |
| apiKey     | string | Merchant ID provided by SensePass (For Web based Transactions) - Required if deviceId is empty                                                                    |
| methodType | string | <p>Transaction Type:<br>0. 'payment' = Regular Payment<br>1. 'tokenize' = Tokenization<br>2. 'authorize' = Authorization<br>3. 'credit' = Credit transaction </p> |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
	"paymentMethods": [
		{
		  "id": 3,
		  "name": "credit-card",
		  "type": "credit-card"
		},
		{
		  "id": 4,
		  "name": "paypal",
		  "type": "wallet"
		},		
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

All merchants must adhere to the Google Pay APIs [Acceptable Use Policy](https://payments.developers.google.com/terms/aup) and accept the terms defined in the [Google Pay API Terms of Service](https://payments.developers.google.com/terms/sellertos).

*Google Pay is a trademark of Google LLC.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/transaction-api/payment-methods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
